<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
  <div class="page-header">
    <div class="container-fluid">
      <div class="pull-right">
        <button type="submit" form="form-geoProtection" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
        <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
      <img src="view/image/sggeo/geo.png" width="80" height="80" style="margin-right:10px;"><h1><?php echo $heading_title; ?></h1>
      <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>
  	<hr>
  <div class="container-fluid">
    <?php if ($error_warning) { ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>


    <script>
	function BlockPage_Refresh()
	{ 
		jQuery('#geo_preview').html('<div style="margin:30px auto; max-width: 400px; max-height: 450px;text-align: center;">Please wait...</div>');
		jQuery('.modal.preview_show').modal('show');
		ajaxurl = '<?php $domain . $_SERVER['PHP_SELF'] . $_SERVER['REQUEST_URI'];?>';
		var myObj = { 
				"custom_status": jQuery('#custom_status').checkbox('is checked'),
				"logo_url": jQuery('#logo_url').val(),
				"text_1": jQuery('#text_1').val(),
				"text_2": jQuery('#text_2').val(),
				"hide_debug": jQuery('#hide_debug').checkbox('is checked'),
				"hide_ipinfo": jQuery('#hide_ipinfo').checkbox('is checked'),
		}; 
		var jsonString = JSON.stringify(myObj);
		jQuery.post(
			ajaxurl, 
			{
				"ajax": '<?php echo md5(date("YmdH")); ?>',
				'data' : jsonString
			}, 
			function(response){
				jQuery('#geo_preview').html(response);
				
			}
		);  
	}	
	function ShowHideForm(v, el)
	{
		if (v == true) jQuery(el).show(300);
		else jQuery(el).hide(300);
	}
    function InfoBlock(id)
    {
        jQuery("#"+id).toggle();
    }
    function SelectCountries(select, uncheck)
    {
        if (select != '') jQuery(select).checkbox('check');
        
        if (uncheck != '') jQuery(uncheck).checkbox('set unchecked');
    }
	jQuery(document).ready(function() {
		jQuery('.ui.checkbox').checkbox();
		jQuery('.checked').checkbox('check');
		ShowHideForm(jQuery('#custom_status').checkbox('is checked'), '.show_active');
		jQuery('.free').click(function(e){
			e.preventDefault();
			jQuery('.modal.paid').modal('show');
		});
		jQuery('.cancel.button.paid').click(function(e){
			e.preventDefault();
			jQuery('.modal.paid').modal('hide');
		});
	});
	
	function checkByContinent(code) {
		switch (code) {
			case 'AF': // Africa
				var c = [ 'AO', 'BF', 'BI', 'BJ', 'BW', 'CD', 'CF', 'CG', 'CI', 'CM', 'CV', 'DJ', 'DZ', 'EG', 'EH', 'ER', 'ET', 'GA', 'GH', 'GM', 'GN', 'GQ', 'GW', 'KE', 'KM', 'LR', 'LS', 'LY', 'MA', 'MG', 'ML', 'MR', 'MU', 'MW', 'MZ', 'NA', 'NE', 'NG', 'RE', 'RW', 'SC', 'SD', 'SH', 'SL', 'SN', 'SO', 'ST', 'SZ', 'TD', 'TG', 'TN', 'TZ', 'UG', 'YT', 'ZA', 'ZM', 'ZW' ];
				break;
				
			case 'AN': // Antarctica
				var c = [ 'AQ', 'BV', 'GS', 'HM', 'TF' ];
				break;
				
			case 'AS': // Asia
				var c = [ 'AE', 'AF', 'AM', 'AP', 'AZ', 'BD', 'BH', 'BN', 'BT', 'CC', 'CN', 'CX', 'CY', 'GE', 'HK', 'ID', 'IL', 'IN', 'IO', 'IQ', 'IR', 'JO', 'JP', 'KG', 'KH', 'KP', 'KR', 'KW', 'KZ', 'LA', 'LB', 'LK', 'MM', 'MN', 'MO', 'MV', 'MY', 'NP', 'OM', 'PH', 'PK', 'PS', 'QA', 'SA', 'SG', 'SY', 'TH', 'TJ', 'TL', 'TM', 'TW', 'UZ', 'VN', 'YE', 'TP' ];
				break;
				
			case 'EU': // Europe
				var c = [ 'AD', 'AL', 'AT', 'AX', 'BA', 'BE', 'BG', 'BY', 'CH', 'CZ', 'DE', 'DK', 'EE', 'ES', 'EU', 'FI', 'FO', 'FR', 'FX', 'GB', 'UK', 'GG', 'GI', 'GR', 'HR', 'HU', 'IE', 'IM', 'IS', 'IT', 'JE', 'LI', 'LT', 'LU', 'LV', 'MC', 'MD', 'ME', 'MK', 'MT', 'NL', 'NO', 'PL', 'PT', 'RO', 'RS', 'RU', 'SE', 'SI', 'SJ', 'SK', 'SM', 'TR', 'UA', 'VA' ];
				break;
				
			case 'NA': // North America
				var c = [ 'AG', 'AI', 'AN', 'AW', 'BB', 'BL', 'BM', 'BS', 'BZ', 'CA', 'CR', 'CU', 'DM', 'DO', 'GD', 'GL', 'GP', 'GT', 'HN', 'HT', 'JM', 'KN', 'KY', 'LC', 'MF', 'MQ', 'MS', 'MX', 'NI', 'PA', 'PM', 'PR', 'SV', 'TC', 'TT', 'US', 'VC', 'VG', 'VI' ];
				break;
				
			case 'OC': // Oceania
				var c = [ 'AS', 'AU', 'CK', 'FJ', 'FM', 'GU', 'KI', 'MH', 'MP', 'NC', 'NF', 'NR', 'NU', 'NZ', 'PF', 'PG', 'PN', 'PW', 'SB', 'TK', 'TO', 'TV', 'UM', 'VU', 'WF', 'WS' ];
				break;
				
			case 'SA': // South America
				var c = [ 'AR', 'BO', 'BR', 'CL', 'CO', 'EC', 'FK', 'GF', 'GY', 'PE', 'PY', 'SR', 'UY', 'VE' ];
				break;
				
			default:
				var c = [];
		}
		
		c.forEach(function(element){
			if (typeof jQuery("input:checkbox[value='"+element+"']") === 'object') {
				jQuery("input:checkbox[value='"+element+"']").prop( "checked", true ); // jQuery only
				//jQuery("input:checkbox[value='"+element+"']").checkbox( "check"); // Semantic UI
			}
		})
	}
	
    </script>



              <div class="sixteen wide column settblocks" id="block2">
                <div class="ui segment">
					<div class="welcome-panel-content">
					<h1 style="text-align: center;"><?php echo $security_tools?></h1>
					<p style="text-align: center;">
						<a target="_blank" href="https://www.siteguarding.com/en/security-dashboard?pgid=JGE2" target="_blank"><img src="<?php echo 'view/image/sggeo/b10.png'; ?>" /></a>&nbsp;
						<a target="_blank" href="https://www.siteguarding.com/en/security-dashboard?pgid=JGE2" target="_blank"><img src="<?php echo 'view/image/sggeo/b11.png'; ?>" /></a>&nbsp;
						<a target="_blank" href="https://www.siteguarding.com/en/security-dashboard?pgid=JGE2" target="_blank"><img src="<?php echo 'view/image/sggeo/b12.png'; ?>" /></a>&nbsp;
						<a target="_blank" href="https://www.siteguarding.com/en/security-dashboard?pgid=JGE2" target="_blank"><img src="<?php echo 'view/image/sggeo/b13.png'; ?>" /></a>&nbsp;
						<a target="_blank" href="https://www.siteguarding.com/en/security-dashboard?pgid=JGE2" target="_blank"><img src="<?php echo 'view/image/sggeo/b14.png'; ?>" /></a>
					</p>
					<p style="text-align: center;font-weight: bold;font-size:120%">
						<?php echo $includes; ?>
					</p>
					<p style="text-align: center">
						<a class="ui green button" target="_blank" href="https://www.siteguarding.com/en/security-dashboard?pgid=JGE2"><?php echo $secure_website_button; ?></a>
					</p>
					</div>
				</div>
				
		
                   <h2 class="sg_center ui header"><?php echo $heading_title; ?></h2>
<?php

		if($updateDb) {
			echo '<div class="ui large ignored info message"><center>GEO database updated successfully</center></div>';
		}

        if ($isPRO)
        {
            $box_text = $you_have . '<span class="ui green horizontal label">'.$pro_version.'</span>';
        }
        else {
            $box_text = '<span style="color:#9f3a38">'.$you_have.'<span class="ui red horizontal label">'.$free_version.'</span>'.$free_version_limits.'<a href="https://www.siteguarding.com/en/buy-extention/opencart-geo-website-protection" target="_blank">'.$upgrade.'</a></span><br>'.$already_purchased.'<a href="'.$action.'&tab_id=3">'.$here.'</a>' . $put_code;
        }
		
        if ($debugMode)
        {
            $box_text .= '<br><br><span style="font-size:20px;" data-inverted="" data-tooltip="The module is disabled. Please remove \'geodebug.txt\' file to back to the normal mode" class="ui red horizontal label">! DEBUG MODE !</span>';
        }
?> 
		
        
        <div class="ui large ignored info message"><center><?php echo $box_text; ?></center></div>
				   
    <div class="ui six item top attached tabular menu" style="margin-top:0;">
            <a href="<?php echo $action . '&tab_id=0'; ?>" class="<?php echo $tab_array[0]; ?> item"><i class="desktop icon"></i><?php echo $geo_front_protection; ?></a>
            <a href="<?php echo $action . '&tab_id=1'; ?>" class="<?php echo $tab_array[1]; ?> item"><i class="lock icon"></i><?php echo $geo_back_protection; ?></a>
			<a href="<?php echo $action . '&tab_id=2'; ?>" class="<?php echo $tab_array[2]; ?> item"><i class="random icon"></i><?php echo $geo_redirects; ?></a>
			<a href="<?php echo $action . '&tab_id=3'; ?>" class="<?php echo $tab_array[3]; ?> item"><i class="pie chart icon"></i><?php echo $statistic; ?></a>
			<a href="<?php echo $action . '&tab_id=4'; ?>" class="<?php echo $tab_array[4]; ?> item"><i class="cog chart icon"></i><?php echo $customize; ?></a>
			<a href="<?php echo $action . '&tab_id=5'; ?>" class="<?php echo $tab_array[5]; ?> item"><i class="cogs icon"></i><?php echo $settings; ?></a>
    </div>
    




    <div class="ui bottom attached segment">

      <form class="ui form" action="<?php echo $action . '&tab_id=' . $tab_id; ?>" method="post" enctype="multipart/form-data" id="form-geoProtection" class="form-horizontal">	      
		<?php if ($tab_id == 0) : ?>
		
		
		
		
		
        <div>
		
		
			<div class="ui blue mini message"><center>Always remember about search engine bots. Add Google bot IP addresses to allow list. Use quick button below. </center></div>
            <h4 class="ui header">Block (blacklist) by IP or range (your IP is <?php echo $myIP; ?>)</h4>
            
            <div class="ui ignored message">
                  <i class="help circle icon"></i>e.g. 200.150.160.1 or 200.150.160.* or 200.150.*.*
            </div>
            
            <div class="ui input <?php echo $free; ?>" style="width: 100%;margin-bottom:10px">
                <textarea name="frontend_ip_list" style="width: 100%;height:200px" placeholder="Insert IP addresses or range you want to block, one by line"><?php echo $frontend_ip_list; ?></textarea>
            </div>
            <center><input <?php echo $block_class; ?> type="submit" name="submit" id="submit" class="ui green button <?php echo $free; ?>" value="Save & Apply"></center>
            
            <h4 class="ui header"><?php echo $block_by_country . $myCountry; ?>)</h4>
<div class="ui icon message">
  <div class="content">
    <div style="text-align:center" class="header">
      Quick buttons:
    </div>
    <p style="text-align:center"><a class="mini ui button bttn_bottom" href="javascript:SelectCountries('', '.all');">Uncheck All</a> <a class="mini ui button bttn_bottom" href="javascript:SelectCountries('.all', '.country_<?php echo $myCountryCode; ?>');">Select All (exclude <?php echo $myCountryCode; ?>)</a> <a class="mini ui button bttn_bottom" href="javascript:SelectCountries('.all', '.country_US,.country_CA');">Select All (exclude USA, Canada)</a> <a class="mini ui button bttn_bottom" href="javascript:SelectCountries('.all', '.europe');">Select All (exclude EU countries)</a> <a class="mini ui button bttn_bottom" href="javascript:SelectCountries('.3rdcountry', '');">Select All 3rd party countries</a></p><p></p>

                  <p style="text-align:center"><a class="mini ui button bttn_bottom" href="javascript:checkByContinent('AF');">Select Africa</a> <a class="mini ui button bttn_bottom" href="javascript:checkByContinent('OC');">Select Oceania</a> <a class="mini ui button bttn_bottom" href="javascript:checkByContinent('EU');">Select Europe</a> <a class="mini ui button bttn_bottom" href="javascript:checkByContinent('SA');">Select South America</a> <a class="mini ui button bttn_bottom" href="javascript:checkByContinent('NA');">Select North America</a> <a class="mini ui button bttn_bottom" href="javascript:checkByContinent('AS');">Select Asia</a> <a class="mini ui button bttn_bottom" href="javascript:checkByContinent('AN');">Select Antarctica</a></p>
  </div>
</div>
		
		
        

            
            <?php echo $frontend_country_list_checkboxes; ?>
            
            <p>&nbsp;</p>
		<input type="hidden" name="action" value="save_frontend_params"/>
		<center><input <?php echo $block_class; ?> type="submit" name="submit" id="submit" class="ui green button " value="Save & Apply"></center>
            <h4 class="ui header">Allow (whitelist) by IP or range (your IP is <?php echo $myIP; ?>)</h4>
            
            <div class="ui ignored message">
                  <i class="help circle icon"></i>e.g. 200.150.160.1 or 200.150.160.* or 200.150.*.*
            </div>
            <p>
				<span class="mini ui green button allow">Allow bots</span> Add IP addresses of Google, Bing, Yahoo to allow list 
			</p>
			<?php if (!$isPRO) : ?>
				<script>
				jQuery(document).ready(function(){
					jQuery('.allow').click(function(){
						jQuery('.modal.paid').modal('show');
					});

				}); 
				
				</script>

				

			<?php else : ?>
				<script>
				jQuery(document).ready(function(){
					jQuery('.allow').click(function(){
						content = jQuery('.frontend_ip_list_allow').val();
						if (content) content = content + "\n";
						jQuery('.frontend_ip_list_allow').val(content + "#GoogleBot\n64.233.*.*\n66.102.*.*\n66.249.*.*\n72.14.*.*\n74.125.*.*\n209.85.*.*\n216.239.*.*\n\n#BingBot\n104.146.*.*\n\n#MSNBot\n64.4.*.*\n65.52.*.*\n65.53.*.*\n65.54.*.*\n131.253.*.*\n157.54.*.*\n207.46.*.*\n207.68.*.*\n\n\n#Yahoo\n8.12.144.*\n66.196.*.*\n66.228.*.*\n67.195.*.*\n68.142.*.*\n72.30.*.*\n74.6.*.*\n98.136.*.*\n98.137.*.*\n98.138.*.*\n98.139.*.*\n202.160.*.*\n209.191.*.*\n#YandexBot\n100.43.*.*\n");
					});
				});
				
				</script>
			
			
			
			<?php endif; ?>
			<div class="ui input <?php echo $free; ?>" style="width: 100%;margin-bottom:10px">
				<textarea class="frontend_ip_list_allow" name="frontend_ip_list_allow" style="width: 100%;height:200px" placeholder="Insert IP addresses or range you want to allow, one by line"><?php echo $frontend_ip_list_allow; ?></textarea>
			</div>
</div>
		<center><input <?php echo $block_class; ?> type="submit" name="submit" id="submit" class="ui green button <?php echo $free; ?>" value="Save & Apply"></center>


		<?php elseif ($tab_id == 1) : ?>
		
        <div <?php echo $block_class; ?>>
            <h4 class="ui header">Block (blacklist) by IP or range (your IP is <?php echo $myIP; ?>)</h4>
            
            <div class="ui ignored message">
                  <i class="help circle icon"></i>e.g. 200.150.160.1 or 200.150.160.* or 200.150.*.*
            </div>
            
            <div class="ui input <?php echo $free; ?>" style="width: 100%;margin-bottom:10px">
                <textarea name="backend_ip_list" style="width: 100%;height:200px" placeholder="Insert IP addresses or range you want to block, one by line"><?php echo $backend_ip_list; ?></textarea>
            </div>
           <center><input type="submit" name="submit" id="submit" class="ui green button <?php echo $free; ?>" value="Save & Apply"></center>
            
            <h4 class="ui header">Block by country (your country is <?php echo $myCountry; ?>)</h4>
            
<div class="ui icon message">
  <div class="content">
    <div style="text-align:center" class="header">
      Quick buttons:
    </div>
    <p style="text-align:center"><a class="mini ui button bttn_bottom" href="javascript:SelectCountries('', '.all');">Uncheck All</a> <a class="mini ui button bttn_bottom" href="javascript:SelectCountries('.all', '.country_<?php echo $myCountryCode; ?>');">Select All (exclude <?php echo $myCountryCode; ?>)</a> <a class="mini ui button bttn_bottom" href="javascript:SelectCountries('.all', '.country_US,.country_CA');">Select All (exclude USA, Canada)</a> <a class="mini ui button bttn_bottom" href="javascript:SelectCountries('.all', '.europe');">Select All (exclude EU countries)</a> <a class="mini ui button bttn_bottom" href="javascript:SelectCountries('.3rdcountry', '');">Select All 3rd party countries</a></p><p></p>

                  <p style="text-align:center"><a class="mini ui button bttn_bottom" href="javascript:checkByContinent('AF');">Select Africa</a> <a class="mini ui button bttn_bottom" href="javascript:checkByContinent('OC');">Select Oceania</a> <a class="mini ui button bttn_bottom" href="javascript:checkByContinent('EU');">Select Europe</a> <a class="mini ui button bttn_bottom" href="javascript:checkByContinent('SA');">Select South America</a> <a class="mini ui button bttn_bottom" href="javascript:checkByContinent('NA');">Select North America</a> <a class="mini ui button bttn_bottom" href="javascript:checkByContinent('AS');">Select Asia</a> <a class="mini ui button bttn_bottom" href="javascript:checkByContinent('AN');">Select Antarctica</a></p>
  </div>
</div>
            
            <?php echo $backend_country_list_checkboxes; ?>
            
            <p>&nbsp;</p>
            <center><input type="submit" name="submit" id="submit" class="ui green button" value="Save & Apply"></center>
            
            
            <h4 class="ui header">Allow (whitelist) by IP or range (your IP is <?php echo $myIP; ?>)</h4>
            
            <div class="ui ignored message">
                  <i class="help circle icon"></i>e.g. 200.150.160.1 or 200.150.160.* or 200.150.*.*
            </div>
            
            <div class="ui input <?php echo $free; ?>" style="width: 100%;margin-bottom:10px">
                <textarea name="backend_ip_list_allow" style="width: 100%;height:200px" placeholder="Insert IP addresses or range you want to allow, one by line"><?php echo $backend_ip_list_allow; ?></textarea>
            </div>

            
            
        </div>
        

		<input type="hidden" name="action" value="Save_backend_params"/>
		<center><input <?php echo $block_class; ?> type="submit" name="submit" id="submit" class="ui green button <?php echo $free; ?>" value="Save & Apply"></center>


		<?php elseif ($tab_id == 2) : ?>
		<p><?php echo $redirect_description; ?></p>
		<table class="ui single line selectable table">
		  <thead>
			<tr>
			  <th><?php echo $country; ?></th>
			  <th><?php echo $redirect_url; ?></th>
			</tr>
		  </thead>
		  <tbody>
			<?php
			foreach (GEO_OC_Geo_IP2Country::$country_list as $country_code => $country_name)
			{
				?>
				<tr>
				  <td class="two wide"><?php echo $country_name; ?></td>
				  <td class="redirect">
						<div class="ui form">
							  <input class="ui input sixteen wide field" placeholder="<?php echo $redirect_placeholder; ?>" type="text" name="redirects[<?php echo $country_code; ?>]" value="<?php if (isset($redirects[$country_code])) echo $redirects[$country_code]; ?>">
						</div>
				  </td>
				</tr>
				<?php
			}
			?>
		  </tbody>
		</table>		
		<input type="hidden" name="action" value="save_redirects"/>
		<center><input <?php echo $block_class; ?> type="submit" name="submit" id="submit" class="ui green button" value="<?php echo $save_and_apply; ?>"></center>

		<?php elseif ($tab_id == 3): ?>
		
        <div>
        

			
        <?php 
		$block_class = 'class="hide"';
		foreach ($pies_data as $id => $data) : 
			switch($id) {
				case 1:
					$txt = $hours24;
					break;
				case 7:
					$txt = $days7;
					break;
				case 30:
					$txt = $days30;
					break;
			}
		
		?>
		
		<script type="text/javascript">
        jQuery(function () {
            jQuery('#pie_container_<?php echo $id; ?>').highcharts({
                credits: false,
                chart: {
                    plotBackgroundColor: null,
                    plotBorderWidth: null,
                    plotShadow: false,
                    type: 'pie'
                },
                title: {
                    text: '<?php echo $activity_for_the_last ?><?php echo $txt; ?>'
                },
                tooltip: {
                    pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                },
                plotOptions: {
                    pie: {
                        allowPointSelect: true,
                        cursor: 'pointer',
                        dataLabels: {
                            enabled: true,
                            format: '<b>{point.name}</b>: {point.percentage:.1f} %',
                            style: {
                                color: ('Highcharts'.theme && Highcharts.theme.contrastTextColor) || 'black'
                            }
                        }
                    }
                },
				labels: {
					items: [{
						html: '<?php echo $blocked_traffic; ?>',
						style: {
							left: '260px',
							top: '330px',
							fontSize: '16px'
						}},
					{
						html: '<?php echo $redirected_traffic; ?>',
						style: {
							left: '790px',
							top: '330px',
							fontSize: '16px'
						}}]
				},
				<?php if (!$data['block'] && !$data['redirect']) : ?>
				title: {
					text: '<?php echo $no_data; ?>'
				},
				<?php endif; ?>
				series: [{
					size: 250,
					name: 'Blocked',
					center: [300, 100],
					data: [<?php echo $data['block']; ?>]
				},{
					size: 250,
					name: 'Redirected',
					center: [830, 100],
					data: [<?php echo $data['redirect']; ?>]
				}]
            });
        });
		

        		</script>
        
        <div id="pie_container_<?php echo $id; ?>" style="min-width: 310px; height: 400px; max-width: 80%; margin: 0 auto"></div>
        
        <hr />

		<?php endforeach; ?>

        <h4 class="ui header"><?php echo $latest_logs; ?><?php echo $amount_records; ?><?php echo $records; ?></h4>
        <?php
        if (count($latest_records_array) == 0) echo '<p>'.$no_records.'</p>';
        else {
            ?>
            <table class="ui sortable celled table small">
              <thead>
                <tr><th class="two wide"><?php echo $date; ?></th>
                <th class="eight wide"><?php echo $url; ?></th>
                <th class="two wide"><?php echo $country; ?></th>
                <th class="two wide"><?php echo $ip_address; ?></th>
                <th class="two wide"><?php echo $status; ?></th>
              </tr></thead>
              <tbody>
                <?php
                foreach ($latest_records_array as $v) {
                ?>
                <tr>
                  <td>
				  <?php
						echo date('Y-m-d H:i:s', $v['time']);
				  ?>
				  </td>
                  <td class="tbl_urlrow"><a target="_blank" href="<?php echo $v['url'] ?>"><?php echo $v['url']; ?></span></td>
                  <td><?php echo GEO_OC_Geo_IP2Country::$country_list[ $v['country_code'] ].' ['.$v['country_code'].']'; ?></td>
                  <td><?php echo $v['ip']; ?></td>
				  <td>
				  <?php 
				  switch ($v['type']) {
					  case 0:
						echo $blocked;
						break;
					  case 1:
						echo $redirected;
						break;
				  }
				  
				  ?>
				  </td>
                </tr>
                <?php
                }
                ?>
              </tbody>
            </table>
            
            <?php
        }
?>
        </div>

		
		
		<?php elseif ($tab_id == 4): 
		
        if (!$isPRO) $protection_by = 1;
        
        ?>

		<h4 class="ui header">Customize Block page</h4>
        
          <div class="inline field">
            <div id="custom_status" class="ui slider checkbox <?php if(!$isPRO) echo 'disabled'; ?>">
              <input <?php if($isPRO && isset($custom_status) && intval($custom_status) == 1) echo 'checked'; ?> value="1" type="checkbox" tabindex="0" name="custom_status" class="" onchange="ShowHideForm(jQuery(this).is(':checked'), '.show_active')">
              <label>Enable custom design</label>
            </div>
          </div>
     
          <div class="field show_active ">
            <label>URL to your logo image</label>
            <input  type="text" name="logo_url" id="logo_url" placeholder="URL to your logo image (e.g. <?php echo HTTP_CATALOG; ?>/images/logo.jpg)" value="<?php if(isset($logo_url)) echo $logo_url; ?>">
          </div>
          
          <div class="field show_active ">
            <label>Text line 1</label>
            <input  type="text" id="text_1"  name="text_1" placeholder="Default: Access is not allowed from your IP or your country." value="<?php if(isset($text_1)) echo $text_1; ?>">
          </div>
          
          <div class="field show_active ">
            <label>Text line 2</label>
            <input  type="text" id="text_2" name="text_2" placeholder="Default: If you think it's a mistake, please contact with the websmater of the website." value="<?php if(isset($text_2)) echo $text_2; ?>">
          </div>
          
          <div class="inline field show_active ">
            <div class="ui slider checkbox" id="hide_debug">
              <input <?php if(isset($hide_debug) && intval($hide_debug) == 1) echo 'checked'; ?> value="1"  type="checkbox" tabindex="0" name="hide_debug" class="">
              <label>Hide text: If you are the owner of the website, please contact with SiteGuarding.com support</label>
            </div>
          </div>
          
          <div class="inline field show_active ">
            <div class="ui slider checkbox" id="hide_ipinfo">
              <input <?php if(isset($hide_ipinfo) && intval($hide_ipinfo) == 1) echo 'checked'; ?> value="1" type="checkbox" tabindex="0" id="hide_ipinfo" name="hide_ipinfo" class="">
              <label>Hide session information: Your IP: xxx.xxx.xxx.xxx, Country</label>
            </div>
          </div>
          

          
            <?php if ($isPRO) : ?>
            <div class="ui mini positive message">
              <b>
                Help & Tips
              </b>
              <p>If you need help to customize GEO block page for your website, please contact with our support. It's free of charge.</p>
            </div>
			<?php else : ?>
			<div class="ui mini negative message">
              <b>
                Help & Tips
              </b>
              <p>This feature is available in the full version only.</p>
            </div>
        <?php endif; ?>

              <input class="ui right floated green button  <?php if(!$isPRO) echo 'disabled'; ?>" type="submit" name="submit" value="Save & Apply" />
<span class="ui right floated button" data-inverted="" data-tooltip="Preview only. It will not save the settings." onclick="BlockPage_Refresh()"><i class="tv icon"></i>Block Page Preview</span>
              

            <input type="hidden" name="action" id="action" value="Customization_save" />

		<br><br>
		
		
		
		
		<?php elseif ($tab_id == 5): ?>
		
			<div class="ui fluid form sg_center">
				<center>
					<div class="field" style="width:350px">
						<label><?php echo $key; ?></label>
					  <input size="40" style="padding:10px!important;" class="ui input sg_center" placeholder="<?php echo $code_placeholder; ?>" type="text" name="registration_code" value="<?php echo $registration_code; ?>">
					  <input type="hidden" name="action" value="register_ext"/>
					</div>

            
          <div class="ui checkbox ui-form-row">
            <input type="checkbox" name="auto_geodb_update" value="1" <?php if (!$isPRO) echo 'disabled="disabled"'; ?> <?php if ($auto_geodb_update == 1) echo 'checked="checked"'; ?>>
            <label>Automatically Update GEO database</label>
          </div>
          <?php
          
          if ($last_update_date !== false) echo ' (Last update was: '.$last_update_date.') ';
          ?>
          <a class="mini ui button <?php if (!$do_update) echo $free; ?>" href="<?php echo $_SERVER['REQUEST_URI'];?>&geo_update=1">Update Manually</a>

          <br><br>
				</center>
				
			</div>
		

					<input type="hidden" name="action" value="register_ext"/>
		  <center><input <?php echo $block_class; ?> type="submit" name="submit" id="submit" class="ui green button" value="<?php echo $save_and_apply; ?>"></center>
		<?php endif; ?>
		


    </form>	
    </div>	

				<div style="z-index:99999;top:20%;left:35%;bottom:10%;position: absolute;" class="tiny ui modal preview_show">
				  <div class="content">
						 <center><h4 class="ui header" data-inverted="" data-tooltip="Preview only. It will not save the settings."><i class="tv icon"></i>GEO Block Page Preview</h4></center><hr>
						<div id="geo_preview">	
						</div>
				  </div>
				  
				  <div style="position: absolute;bottom: 10px;left:38%">
				  <hr>
					<button onclick="jQuery('.modal.preview_show').modal('hide');" class="medium ui cancel button preview">Close Preview</button>
				  </div>
				</div>

				<div style="z-index:99999;top:40%;left:35%;max-height:185px;" class="tiny ui modal paid">
				  <div class="header c_red">Alert</div>
				  <div class="content">
					<p><b>Available in full version only. <?php if ($tab_id == 5) echo 'Free version limit: Update once per month.'; ?></b></p>
				  </div>
				  <div class="actions">
					<button class="medium ui cancel button paid">Close</button>
				  </div>
				</div>     

                                        

  </div>
              
</div>
<?php echo $footer; ?>